KDE 4.7 PyKDE API Reference

- KDE's Python API

# ItemMoveJob Class Reference

`from PyKDE4.akonadi import *`

Inherits: Akonadi.Job → KCompositeJob → KJob → QObject
Namespace: Akonadi

## Detailed Description

Job that moves an item into a different collection in the Akonadi storage.

This job takes an item and moves it to a collection in the Akonadi storage.

     Akonadi.Item item = ...
     Akonadi.Collection collection = ...

     Akonadi.ItemMoveJob *job = new Akonadi.ItemMoveJob( item, collection );
     connect( job, SIGNAL( result( KJob* ) ), this, SLOT( moveResult( KJob* ) ) );

Author:
  Volker Krause <vkrause@kde.org>

## Methods
| __init__ (self, Akonadi.Item item, Akonadi.Collection destination, QObject parent=0)
| __init__ (self, [Akonadi.Item] items, Akonadi.Collection destination, QObject parent=0)
Akonadi.Collection | destinationCollection (self)
| doStart (self)
[Akonadi.Item] | items (self)

## Method Documentation

__init__ | ( | self, |
|  | Akonadi.Item | item,
|  | Akonadi.Collection | destination,
|  | QObject | parent=0
| ) |  |  |

Move the given item into the given collection.

Parameters:

  | item | The item to move.
  | destination | The destination collection.
  | parent | The parent object.

__init__ | ( | self, |
|  | [Akonadi.Item] | items,
|  | Akonadi.Collection | destination,
|  | QObject | parent=0
| ) |  |  |

Move the given items into destination.

Parameters:

  | items | A list of items to move.
  | destination | The destination collection.
  | parent | The parent object.

Akonadi.Collection destinationCollection | ( |  | self ) |

Returns the destination collection.

Since:
  4.7

doStart | ( |  | self ) |

[Akonadi.Item] items | ( |  | self ) |

Returns the list of items that where passed in the constructor.

Since:
  4.7